cscg24-guacamole

CSCG 2024 Challenge 'Guacamole Mashup'
git clone https://git.sinitax.com/sinitax/cscg24-guacamole
Log | Files | Refs | sfeed.txt

Makefile.in (42914B)


      1# Makefile.in generated by automake 1.16.5 from Makefile.am.
      2# @configure_input@
      3
      4# Copyright (C) 1994-2021 Free Software Foundation, Inc.
      5
      6# This Makefile.in is free software; the Free Software Foundation
      7# gives unlimited permission to copy and/or distribute it,
      8# with or without modifications, as long as this notice is preserved.
      9
     10# This program is distributed in the hope that it will be useful,
     11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13# PARTICULAR PURPOSE.
     14
     15@SET_MAKE@
     16
     17#
     18# Licensed to the Apache Software Foundation (ASF) under one
     19# or more contributor license agreements.  See the NOTICE file
     20# distributed with this work for additional information
     21# regarding copyright ownership.  The ASF licenses this file
     22# to you under the Apache License, Version 2.0 (the
     23# "License"); you may not use this file except in compliance
     24# with the License.  You may obtain a copy of the License at
     25#
     26#   http://www.apache.org/licenses/LICENSE-2.0
     27#
     28# Unless required by applicable law or agreed to in writing,
     29# software distributed under the License is distributed on an
     30# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
     31# KIND, either express or implied.  See the License for the
     32# specific language governing permissions and limitations
     33# under the License.
     34#
     35# NOTE: Parts of this file (Makefile.am) are automatically transcluded verbatim
     36# into Makefile.in. Though the build system (GNU Autotools) automatically adds
     37# its own license boilerplate to the generated Makefile.in, that boilerplate
     38# does not apply to the transcluded portions of Makefile.am which are licensed
     39# to you by the ASF under the Apache License, Version 2.0, as described above.
     40#
     41VPATH = @srcdir@
     42am__is_gnu_make = { \
     43  if test -z '$(MAKELEVEL)'; then \
     44    false; \
     45  elif test -n '$(MAKE_HOST)'; then \
     46    true; \
     47  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
     48    true; \
     49  else \
     50    false; \
     51  fi; \
     52}
     53am__make_running_with_option = \
     54  case $${target_option-} in \
     55      ?) ;; \
     56      *) echo "am__make_running_with_option: internal error: invalid" \
     57              "target option '$${target_option-}' specified" >&2; \
     58         exit 1;; \
     59  esac; \
     60  has_opt=no; \
     61  sane_makeflags=$$MAKEFLAGS; \
     62  if $(am__is_gnu_make); then \
     63    sane_makeflags=$$MFLAGS; \
     64  else \
     65    case $$MAKEFLAGS in \
     66      *\\[\ \	]*) \
     67        bs=\\; \
     68        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
     69          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
     70    esac; \
     71  fi; \
     72  skip_next=no; \
     73  strip_trailopt () \
     74  { \
     75    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
     76  }; \
     77  for flg in $$sane_makeflags; do \
     78    test $$skip_next = yes && { skip_next=no; continue; }; \
     79    case $$flg in \
     80      *=*|--*) continue;; \
     81        -*I) strip_trailopt 'I'; skip_next=yes;; \
     82      -*I?*) strip_trailopt 'I';; \
     83        -*O) strip_trailopt 'O'; skip_next=yes;; \
     84      -*O?*) strip_trailopt 'O';; \
     85        -*l) strip_trailopt 'l'; skip_next=yes;; \
     86      -*l?*) strip_trailopt 'l';; \
     87      -[dEDm]) skip_next=yes;; \
     88      -[JT]) skip_next=yes;; \
     89    esac; \
     90    case $$flg in \
     91      *$$target_option*) has_opt=yes; break;; \
     92    esac; \
     93  done; \
     94  test $$has_opt = yes
     95am__make_dryrun = (target_option=n; $(am__make_running_with_option))
     96am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
     97pkgdatadir = $(datadir)/@PACKAGE@
     98pkgincludedir = $(includedir)/@PACKAGE@
     99pkglibdir = $(libdir)/@PACKAGE@
    100pkglibexecdir = $(libexecdir)/@PACKAGE@
    101am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
    102install_sh_DATA = $(install_sh) -c -m 644
    103install_sh_PROGRAM = $(install_sh) -c
    104install_sh_SCRIPT = $(install_sh) -c
    105INSTALL_HEADER = $(INSTALL_DATA)
    106transform = $(program_transform_name)
    107NORMAL_INSTALL = :
    108PRE_INSTALL = :
    109POST_INSTALL = :
    110NORMAL_UNINSTALL = :
    111PRE_UNINSTALL = :
    112POST_UNINSTALL = :
    113build_triplet = @build@
    114host_triplet = @host@
    115check_PROGRAMS = test_rdp$(EXEEXT)
    116subdir = src/protocols/rdp/tests
    117ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
    118am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
    119	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
    120	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
    121	$(top_srcdir)/configure.ac
    122am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
    123	$(ACLOCAL_M4)
    124DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
    125mkinstalldirs = $(install_sh) -d
    126CONFIG_HEADER = $(top_builddir)/config.h
    127CONFIG_CLEAN_FILES =
    128CONFIG_CLEAN_VPATH_FILES =
    129am__dirstamp = $(am__leading_dot)dirstamp
    130am_test_rdp_OBJECTS = fs/test_rdp-basename.$(OBJEXT) \
    131	fs/test_rdp-normalize_path.$(OBJEXT)
    132nodist_test_rdp_OBJECTS = test_rdp-_generated_runner.$(OBJEXT)
    133test_rdp_OBJECTS = $(am_test_rdp_OBJECTS) $(nodist_test_rdp_OBJECTS)
    134test_rdp_DEPENDENCIES =
    135AM_V_lt = $(am__v_lt_@AM_V@)
    136am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
    137am__v_lt_0 = --silent
    138am__v_lt_1 = 
    139test_rdp_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    140	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(test_rdp_CFLAGS) \
    141	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
    142AM_V_P = $(am__v_P_@AM_V@)
    143am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
    144am__v_P_0 = false
    145am__v_P_1 = :
    146AM_V_GEN = $(am__v_GEN_@AM_V@)
    147am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
    148am__v_GEN_0 = @echo "  GEN     " $@;
    149am__v_GEN_1 = 
    150AM_V_at = $(am__v_at_@AM_V@)
    151am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
    152am__v_at_0 = @
    153am__v_at_1 = 
    154DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
    155depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
    156am__maybe_remake_depfiles = depfiles
    157am__depfiles_remade = ./$(DEPDIR)/test_rdp-_generated_runner.Po \
    158	fs/$(DEPDIR)/test_rdp-basename.Po \
    159	fs/$(DEPDIR)/test_rdp-normalize_path.Po
    160am__mv = mv -f
    161COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    162	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
    163LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    164	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
    165	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
    166	$(AM_CFLAGS) $(CFLAGS)
    167AM_V_CC = $(am__v_CC_@AM_V@)
    168am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
    169am__v_CC_0 = @echo "  CC      " $@;
    170am__v_CC_1 = 
    171CCLD = $(CC)
    172LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    173	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
    174	$(AM_LDFLAGS) $(LDFLAGS) -o $@
    175AM_V_CCLD = $(am__v_CCLD_@AM_V@)
    176am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
    177am__v_CCLD_0 = @echo "  CCLD    " $@;
    178am__v_CCLD_1 = 
    179SOURCES = $(test_rdp_SOURCES) $(nodist_test_rdp_SOURCES)
    180DIST_SOURCES = $(test_rdp_SOURCES)
    181am__can_run_installinfo = \
    182  case $$AM_UPDATE_INFO_DIR in \
    183    n|no|NO) false;; \
    184    *) (install-info --version) >/dev/null 2>&1;; \
    185  esac
    186am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
    187# Read a list of newline-separated strings from the standard input,
    188# and print each of them once, without duplicates.  Input order is
    189# *not* preserved.
    190am__uniquify_input = $(AWK) '\
    191  BEGIN { nonempty = 0; } \
    192  { items[$$0] = 1; nonempty = 1; } \
    193  END { if (nonempty) { for (i in items) print i; }; } \
    194'
    195# Make sure the list of sources is unique.  This is necessary because,
    196# e.g., the same source file might be shared among _SOURCES variables
    197# for different programs/libraries.
    198am__define_uniq_tagged_files = \
    199  list='$(am__tagged_files)'; \
    200  unique=`for i in $$list; do \
    201    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    202  done | $(am__uniquify_input)`
    203am__tty_colors_dummy = \
    204  mgn= red= grn= lgn= blu= brg= std=; \
    205  am__color_tests=no
    206am__tty_colors = { \
    207  $(am__tty_colors_dummy); \
    208  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    209    am__color_tests=no; \
    210  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    211    am__color_tests=yes; \
    212  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    213    am__color_tests=yes; \
    214  fi; \
    215  if test $$am__color_tests = yes; then \
    216    red=''; \
    217    grn=''; \
    218    lgn=''; \
    219    blu=''; \
    220    mgn=''; \
    221    brg=''; \
    222    std=''; \
    223  fi; \
    224}
    225am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
    226am__vpath_adj = case $$p in \
    227    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    228    *) f=$$p;; \
    229  esac;
    230am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
    231am__install_max = 40
    232am__nobase_strip_setup = \
    233  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
    234am__nobase_strip = \
    235  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
    236am__nobase_list = $(am__nobase_strip_setup); \
    237  for p in $$list; do echo "$$p $$p"; done | \
    238  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
    239  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    240    if (++n[$$2] == $(am__install_max)) \
    241      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    242    END { for (dir in files) print dir, files[dir] }'
    243am__base_list = \
    244  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
    245  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
    246am__uninstall_files_from_dir = { \
    247  test -z "$$files" \
    248    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    249    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
    250         $(am__cd) "$$dir" && rm -f $$files; }; \
    251  }
    252am__recheck_rx = ^[ 	]*:recheck:[ 	]*
    253am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
    254am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
    255# A command that, given a newline-separated list of test names on the
    256# standard input, print the name of the tests that are to be re-run
    257# upon "make recheck".
    258am__list_recheck_tests = $(AWK) '{ \
    259  recheck = 1; \
    260  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    261    { \
    262      if (rc < 0) \
    263        { \
    264          if ((getline line2 < ($$0 ".log")) < 0) \
    265	    recheck = 0; \
    266          break; \
    267        } \
    268      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
    269        { \
    270          recheck = 0; \
    271          break; \
    272        } \
    273      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
    274        { \
    275          break; \
    276        } \
    277    }; \
    278  if (recheck) \
    279    print $$0; \
    280  close ($$0 ".trs"); \
    281  close ($$0 ".log"); \
    282}'
    283# A command that, given a newline-separated list of test names on the
    284# standard input, create the global log from their .trs and .log files.
    285am__create_global_log = $(AWK) ' \
    286function fatal(msg) \
    287{ \
    288  print "fatal: making $@: " msg | "cat >&2"; \
    289  exit 1; \
    290} \
    291function rst_section(header) \
    292{ \
    293  print header; \
    294  len = length(header); \
    295  for (i = 1; i <= len; i = i + 1) \
    296    printf "="; \
    297  printf "\n\n"; \
    298} \
    299{ \
    300  copy_in_global_log = 1; \
    301  global_test_result = "RUN"; \
    302  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    303    { \
    304      if (rc < 0) \
    305         fatal("failed to read from " $$0 ".trs"); \
    306      if (line ~ /$(am__global_test_result_rx)/) \
    307        { \
    308          sub("$(am__global_test_result_rx)", "", line); \
    309          sub("[ 	]*$$", "", line); \
    310          global_test_result = line; \
    311        } \
    312      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
    313        copy_in_global_log = 0; \
    314    }; \
    315  if (copy_in_global_log) \
    316    { \
    317      rst_section(global_test_result ": " $$0); \
    318      while ((rc = (getline line < ($$0 ".log"))) != 0) \
    319      { \
    320        if (rc < 0) \
    321          fatal("failed to read from " $$0 ".log"); \
    322        print line; \
    323      }; \
    324      printf "\n"; \
    325    }; \
    326  close ($$0 ".trs"); \
    327  close ($$0 ".log"); \
    328}'
    329# Restructured Text title.
    330am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
    331# Solaris 10 'make', and several other traditional 'make' implementations,
    332# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
    333# by disabling -e (using the XSI extension "set +e") if it's set.
    334am__sh_e_setup = case $$- in *e*) set +e;; esac
    335# Default flags passed to test drivers.
    336am__common_driver_flags = \
    337  --color-tests "$$am__color_tests" \
    338  --enable-hard-errors "$$am__enable_hard_errors" \
    339  --expect-failure "$$am__expect_failure"
    340# To be inserted before the command running the test.  Creates the
    341# directory for the log if needed.  Stores in $dir the directory
    342# containing $f, in $tst the test, in $log the log.  Executes the
    343# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
    344# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
    345# will run the test scripts (or their associated LOG_COMPILER, if
    346# thy have one).
    347am__check_pre = \
    348$(am__sh_e_setup);					\
    349$(am__vpath_adj_setup) $(am__vpath_adj)			\
    350$(am__tty_colors);					\
    351srcdir=$(srcdir); export srcdir;			\
    352case "$@" in						\
    353  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    354    *) am__odir=.;; 					\
    355esac;							\
    356test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
    357  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
    358if test -f "./$$f"; then dir=./;			\
    359elif test -f "$$f"; then dir=;				\
    360else dir="$(srcdir)/"; fi;				\
    361tst=$$dir$$f; log='$@'; 				\
    362if test -n '$(DISABLE_HARD_ERRORS)'; then		\
    363  am__enable_hard_errors=no; 				\
    364else							\
    365  am__enable_hard_errors=yes; 				\
    366fi; 							\
    367case " $(XFAIL_TESTS) " in				\
    368  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    369    am__expect_failure=yes;;				\
    370  *)							\
    371    am__expect_failure=no;;				\
    372esac; 							\
    373$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
    374# A shell command to get the names of the tests scripts with any registered
    375# extension removed (i.e., equivalently, the names of the test logs, with
    376# the '.log' extension removed).  The result is saved in the shell variable
    377# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
    378# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
    379# since that might cause problem with VPATH rewrites for suffix-less tests.
    380# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
    381am__set_TESTS_bases = \
    382  bases='$(TEST_LOGS)'; \
    383  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
    384  bases=`echo $$bases`
    385AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
    386RECHECK_LOGS = $(TEST_LOGS)
    387AM_RECURSIVE_TARGETS = check recheck
    388TEST_SUITE_LOG = test-suite.log
    389TEST_EXTENSIONS = @EXEEXT@ .test
    390LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
    391am__set_b = \
    392  case '$@' in \
    393    */*) \
    394      case '$*' in \
    395        */*) b='$*';; \
    396          *) b=`echo '$@' | sed 's/\.log$$//'`; \
    397       esac;; \
    398    *) \
    399      b='$*';; \
    400  esac
    401am__test_logs1 = $(TESTS:=.log)
    402am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
    403TEST_LOGS = $(am__test_logs2:.test.log=.log)
    404TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
    405TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
    406	$(TEST_LOG_FLAGS)
    407am__DIST_COMMON = $(srcdir)/Makefile.in \
    408	$(top_srcdir)/build-aux/depcomp \
    409	$(top_srcdir)/build-aux/test-driver
    410DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    411ACLOCAL = @ACLOCAL@
    412AMTAR = @AMTAR@
    413AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
    414AR = @AR@
    415AUTOCONF = @AUTOCONF@
    416AUTOHEADER = @AUTOHEADER@
    417AUTOMAKE = @AUTOMAKE@
    418AVCODEC_CFLAGS = @AVCODEC_CFLAGS@
    419AVCODEC_LIBS = @AVCODEC_LIBS@
    420AVFORMAT_CFLAGS = @AVFORMAT_CFLAGS@
    421AVFORMAT_LIBS = @AVFORMAT_LIBS@
    422AVUTIL_CFLAGS = @AVUTIL_CFLAGS@
    423AVUTIL_LIBS = @AVUTIL_LIBS@
    424AWK = @AWK@
    425CAIRO_LIBS = @CAIRO_LIBS@
    426CC = @CC@
    427CCDEPMODE = @CCDEPMODE@
    428CFLAGS = @CFLAGS@
    429COMMON_INCLUDE = @COMMON_INCLUDE@
    430COMMON_LTLIB = @COMMON_LTLIB@
    431COMMON_SSH_INCLUDE = @COMMON_SSH_INCLUDE@
    432COMMON_SSH_LTLIB = @COMMON_SSH_LTLIB@
    433CPP = @CPP@
    434CPPFLAGS = @CPPFLAGS@
    435CSCOPE = @CSCOPE@
    436CTAGS = @CTAGS@
    437CUNIT_LIBS = @CUNIT_LIBS@
    438CYGPATH_W = @CYGPATH_W@
    439DEFS = @DEFS@
    440DEPDIR = @DEPDIR@
    441DLLTOOL = @DLLTOOL@
    442DL_LIBS = @DL_LIBS@
    443DSYMUTIL = @DSYMUTIL@
    444DUMPBIN = @DUMPBIN@
    445ECHO_C = @ECHO_C@
    446ECHO_N = @ECHO_N@
    447ECHO_T = @ECHO_T@
    448EGREP = @EGREP@
    449ETAGS = @ETAGS@
    450EXEEXT = @EXEEXT@
    451FGREP = @FGREP@
    452FILECMD = @FILECMD@
    453FREERDP2_PLUGIN_DIR = @FREERDP2_PLUGIN_DIR@
    454GREP = @GREP@
    455INSTALL = @INSTALL@
    456INSTALL_DATA = @INSTALL_DATA@
    457INSTALL_PROGRAM = @INSTALL_PROGRAM@
    458INSTALL_SCRIPT = @INSTALL_SCRIPT@
    459INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    460JPEG_LIBS = @JPEG_LIBS@
    461LD = @LD@
    462LDFLAGS = @LDFLAGS@
    463LIBGUAC_CLIENT_KUBERNETES_INCLUDE = @LIBGUAC_CLIENT_KUBERNETES_INCLUDE@
    464LIBGUAC_CLIENT_KUBERNETES_LTLIB = @LIBGUAC_CLIENT_KUBERNETES_LTLIB@
    465LIBGUAC_CLIENT_RDP_INCLUDE = @LIBGUAC_CLIENT_RDP_INCLUDE@
    466LIBGUAC_CLIENT_RDP_LTLIB = @LIBGUAC_CLIENT_RDP_LTLIB@
    467LIBGUAC_INCLUDE = @LIBGUAC_INCLUDE@
    468LIBGUAC_LTLIB = @LIBGUAC_LTLIB@
    469LIBOBJS = @LIBOBJS@
    470LIBS = @LIBS@
    471LIBTOOL = @LIBTOOL@
    472LIPO = @LIPO@
    473LN_S = @LN_S@
    474LTLIBOBJS = @LTLIBOBJS@
    475LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
    476MAKEINFO = @MAKEINFO@
    477MANIFEST_TOOL = @MANIFEST_TOOL@
    478MATH_LIBS = @MATH_LIBS@
    479MKDIR_P = @MKDIR_P@
    480NM = @NM@
    481NMEDIT = @NMEDIT@
    482OBJDUMP = @OBJDUMP@
    483OBJEXT = @OBJEXT@
    484OTOOL = @OTOOL@
    485OTOOL64 = @OTOOL64@
    486PACKAGE = @PACKAGE@
    487PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
    488PACKAGE_NAME = @PACKAGE_NAME@
    489PACKAGE_STRING = @PACKAGE_STRING@
    490PACKAGE_TARNAME = @PACKAGE_TARNAME@
    491PACKAGE_URL = @PACKAGE_URL@
    492PACKAGE_VERSION = @PACKAGE_VERSION@
    493PANGOCAIRO_CFLAGS = @PANGOCAIRO_CFLAGS@
    494PANGOCAIRO_LIBS = @PANGOCAIRO_LIBS@
    495PANGO_CFLAGS = @PANGO_CFLAGS@
    496PANGO_LIBS = @PANGO_LIBS@
    497PATH_SEPARATOR = @PATH_SEPARATOR@
    498PKG_CONFIG = @PKG_CONFIG@
    499PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
    500PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
    501PNG_LIBS = @PNG_LIBS@
    502PTHREAD_LIBS = @PTHREAD_LIBS@
    503PULSE_INCLUDE = @PULSE_INCLUDE@
    504PULSE_LIBS = @PULSE_LIBS@
    505PULSE_LTLIB = @PULSE_LTLIB@
    506RANLIB = @RANLIB@
    507RDP_CFLAGS = @RDP_CFLAGS@
    508RDP_LIBS = @RDP_LIBS@
    509SED = @SED@
    510SET_MAKE = @SET_MAKE@
    511SHELL = @SHELL@
    512SSH_LIBS = @SSH_LIBS@
    513SSL_LIBS = @SSL_LIBS@
    514STRIP = @STRIP@
    515SWSCALE_CFLAGS = @SWSCALE_CFLAGS@
    516SWSCALE_LIBS = @SWSCALE_LIBS@
    517TELNET_LIBS = @TELNET_LIBS@
    518TERMINAL_INCLUDE = @TERMINAL_INCLUDE@
    519TERMINAL_LTLIB = @TERMINAL_LTLIB@
    520UUID_LIBS = @UUID_LIBS@
    521VERSION = @VERSION@
    522VNC_LIBS = @VNC_LIBS@
    523VORBIS_LIBS = @VORBIS_LIBS@
    524WEBP_LIBS = @WEBP_LIBS@
    525WEBSOCKETS_LIBS = @WEBSOCKETS_LIBS@
    526WINSOCK_LIBS = @WINSOCK_LIBS@
    527abs_builddir = @abs_builddir@
    528abs_srcdir = @abs_srcdir@
    529abs_top_builddir = @abs_top_builddir@
    530abs_top_srcdir = @abs_top_srcdir@
    531ac_ct_AR = @ac_ct_AR@
    532ac_ct_CC = @ac_ct_CC@
    533ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
    534am__include = @am__include@
    535am__leading_dot = @am__leading_dot@
    536am__quote = @am__quote@
    537am__tar = @am__tar@
    538am__untar = @am__untar@
    539bindir = @bindir@
    540build = @build@
    541build_alias = @build_alias@
    542build_cpu = @build_cpu@
    543build_os = @build_os@
    544build_vendor = @build_vendor@
    545builddir = @builddir@
    546datadir = @datadir@
    547datarootdir = @datarootdir@
    548docdir = @docdir@
    549dvidir = @dvidir@
    550exec_prefix = @exec_prefix@
    551host = @host@
    552host_alias = @host_alias@
    553host_cpu = @host_cpu@
    554host_os = @host_os@
    555host_vendor = @host_vendor@
    556htmldir = @htmldir@
    557includedir = @includedir@
    558infodir = @infodir@
    559init_dir = @init_dir@
    560install_sh = @install_sh@
    561libdir = @libdir@
    562libexecdir = @libexecdir@
    563localedir = @localedir@
    564localstatedir = @localstatedir@
    565mandir = @mandir@
    566mkdir_p = @mkdir_p@
    567oldincludedir = @oldincludedir@
    568pdfdir = @pdfdir@
    569prefix = @prefix@
    570program_transform_name = @program_transform_name@
    571psdir = @psdir@
    572runstatedir = @runstatedir@
    573sbindir = @sbindir@
    574sharedstatedir = @sharedstatedir@
    575srcdir = @srcdir@
    576sysconfdir = @sysconfdir@
    577systemd_dir = @systemd_dir@
    578target_alias = @target_alias@
    579top_build_prefix = @top_build_prefix@
    580top_builddir = @top_builddir@
    581top_srcdir = @top_srcdir@
    582AUTOMAKE_OPTIONS = foreign 
    583ACLOCAL_AMFLAGS = -I m4
    584TESTS = $(check_PROGRAMS)
    585test_rdp_SOURCES = \
    586    fs/basename.c       \
    587    fs/normalize_path.c
    588
    589test_rdp_CFLAGS = \
    590    -Werror -Wall -pedantic      \
    591    @LIBGUAC_CLIENT_RDP_INCLUDE@ \
    592    @LIBGUAC_INCLUDE@
    593
    594test_rdp_LDADD = \
    595    @CUNIT_LIBS@               \
    596    @LIBGUAC_CLIENT_RDP_LTLIB@ \
    597    @LIBGUAC_LTLIB@
    598
    599
    600#
    601# Autogenerate test runner
    602#
    603GEN_RUNNER = $(top_srcdir)/util/generate-test-runner.pl
    604CLEANFILES = _generated_runner.c
    605nodist_test_rdp_SOURCES = \
    606    _generated_runner.c
    607
    608
    609# Use automake's TAP test driver for running any tests
    610LOG_DRIVER = \
    611    env AM_TAP_AWK='$(AWK)' \
    612    $(SHELL) $(top_srcdir)/build-aux/tap-driver.sh
    613
    614all: all-am
    615
    616.SUFFIXES:
    617.SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
    618$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
    619	@for dep in $?; do \
    620	  case '$(am__configure_deps)' in \
    621	    *$$dep*) \
    622	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
    623	        && { if test -f $@; then exit 0; else break; fi; }; \
    624	      exit 1;; \
    625	  esac; \
    626	done; \
    627	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/protocols/rdp/tests/Makefile'; \
    628	$(am__cd) $(top_srcdir) && \
    629	  $(AUTOMAKE) --foreign src/protocols/rdp/tests/Makefile
    630Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    631	@case '$?' in \
    632	  *config.status*) \
    633	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
    634	  *) \
    635	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
    636	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
    637	esac;
    638
    639$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    640	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    641
    642$(top_srcdir)/configure:  $(am__configure_deps)
    643	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    644$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
    645	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    646$(am__aclocal_m4_deps):
    647
    648clean-checkPROGRAMS:
    649	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
    650	echo " rm -f" $$list; \
    651	rm -f $$list || exit $$?; \
    652	test -n "$(EXEEXT)" || exit 0; \
    653	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
    654	echo " rm -f" $$list; \
    655	rm -f $$list
    656fs/$(am__dirstamp):
    657	@$(MKDIR_P) fs
    658	@: > fs/$(am__dirstamp)
    659fs/$(DEPDIR)/$(am__dirstamp):
    660	@$(MKDIR_P) fs/$(DEPDIR)
    661	@: > fs/$(DEPDIR)/$(am__dirstamp)
    662fs/test_rdp-basename.$(OBJEXT): fs/$(am__dirstamp) \
    663	fs/$(DEPDIR)/$(am__dirstamp)
    664fs/test_rdp-normalize_path.$(OBJEXT): fs/$(am__dirstamp) \
    665	fs/$(DEPDIR)/$(am__dirstamp)
    666
    667test_rdp$(EXEEXT): $(test_rdp_OBJECTS) $(test_rdp_DEPENDENCIES) $(EXTRA_test_rdp_DEPENDENCIES) 
    668	@rm -f test_rdp$(EXEEXT)
    669	$(AM_V_CCLD)$(test_rdp_LINK) $(test_rdp_OBJECTS) $(test_rdp_LDADD) $(LIBS)
    670
    671mostlyclean-compile:
    672	-rm -f *.$(OBJEXT)
    673	-rm -f fs/*.$(OBJEXT)
    674
    675distclean-compile:
    676	-rm -f *.tab.c
    677
    678@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_rdp-_generated_runner.Po@am__quote@ # am--include-marker
    679@AMDEP_TRUE@@am__include@ @am__quote@fs/$(DEPDIR)/test_rdp-basename.Po@am__quote@ # am--include-marker
    680@AMDEP_TRUE@@am__include@ @am__quote@fs/$(DEPDIR)/test_rdp-normalize_path.Po@am__quote@ # am--include-marker
    681
    682$(am__depfiles_remade):
    683	@$(MKDIR_P) $(@D)
    684	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
    685
    686am--depfiles: $(am__depfiles_remade)
    687
    688.c.o:
    689@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
    690@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
    691@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
    692@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
    693@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    694@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
    695
    696.c.obj:
    697@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
    698@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
    699@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
    700@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
    701@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    702@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
    703
    704.c.lo:
    705@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
    706@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
    707@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
    708@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
    709@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    710@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
    711
    712fs/test_rdp-basename.o: fs/basename.c
    713@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rdp_CFLAGS) $(CFLAGS) -MT fs/test_rdp-basename.o -MD -MP -MF fs/$(DEPDIR)/test_rdp-basename.Tpo -c -o fs/test_rdp-basename.o `test -f 'fs/basename.c' || echo '$(srcdir)/'`fs/basename.c
    714@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) fs/$(DEPDIR)/test_rdp-basename.Tpo fs/$(DEPDIR)/test_rdp-basename.Po
    715@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='fs/basename.c' object='fs/test_rdp-basename.o' libtool=no @AMDEPBACKSLASH@
    716@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    717@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rdp_CFLAGS) $(CFLAGS) -c -o fs/test_rdp-basename.o `test -f 'fs/basename.c' || echo '$(srcdir)/'`fs/basename.c
    718
    719fs/test_rdp-basename.obj: fs/basename.c
    720@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rdp_CFLAGS) $(CFLAGS) -MT fs/test_rdp-basename.obj -MD -MP -MF fs/$(DEPDIR)/test_rdp-basename.Tpo -c -o fs/test_rdp-basename.obj `if test -f 'fs/basename.c'; then $(CYGPATH_W) 'fs/basename.c'; else $(CYGPATH_W) '$(srcdir)/fs/basename.c'; fi`
    721@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) fs/$(DEPDIR)/test_rdp-basename.Tpo fs/$(DEPDIR)/test_rdp-basename.Po
    722@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='fs/basename.c' object='fs/test_rdp-basename.obj' libtool=no @AMDEPBACKSLASH@
    723@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    724@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rdp_CFLAGS) $(CFLAGS) -c -o fs/test_rdp-basename.obj `if test -f 'fs/basename.c'; then $(CYGPATH_W) 'fs/basename.c'; else $(CYGPATH_W) '$(srcdir)/fs/basename.c'; fi`
    725
    726fs/test_rdp-normalize_path.o: fs/normalize_path.c
    727@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rdp_CFLAGS) $(CFLAGS) -MT fs/test_rdp-normalize_path.o -MD -MP -MF fs/$(DEPDIR)/test_rdp-normalize_path.Tpo -c -o fs/test_rdp-normalize_path.o `test -f 'fs/normalize_path.c' || echo '$(srcdir)/'`fs/normalize_path.c
    728@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) fs/$(DEPDIR)/test_rdp-normalize_path.Tpo fs/$(DEPDIR)/test_rdp-normalize_path.Po
    729@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='fs/normalize_path.c' object='fs/test_rdp-normalize_path.o' libtool=no @AMDEPBACKSLASH@
    730@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    731@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rdp_CFLAGS) $(CFLAGS) -c -o fs/test_rdp-normalize_path.o `test -f 'fs/normalize_path.c' || echo '$(srcdir)/'`fs/normalize_path.c
    732
    733fs/test_rdp-normalize_path.obj: fs/normalize_path.c
    734@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rdp_CFLAGS) $(CFLAGS) -MT fs/test_rdp-normalize_path.obj -MD -MP -MF fs/$(DEPDIR)/test_rdp-normalize_path.Tpo -c -o fs/test_rdp-normalize_path.obj `if test -f 'fs/normalize_path.c'; then $(CYGPATH_W) 'fs/normalize_path.c'; else $(CYGPATH_W) '$(srcdir)/fs/normalize_path.c'; fi`
    735@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) fs/$(DEPDIR)/test_rdp-normalize_path.Tpo fs/$(DEPDIR)/test_rdp-normalize_path.Po
    736@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='fs/normalize_path.c' object='fs/test_rdp-normalize_path.obj' libtool=no @AMDEPBACKSLASH@
    737@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    738@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rdp_CFLAGS) $(CFLAGS) -c -o fs/test_rdp-normalize_path.obj `if test -f 'fs/normalize_path.c'; then $(CYGPATH_W) 'fs/normalize_path.c'; else $(CYGPATH_W) '$(srcdir)/fs/normalize_path.c'; fi`
    739
    740test_rdp-_generated_runner.o: _generated_runner.c
    741@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rdp_CFLAGS) $(CFLAGS) -MT test_rdp-_generated_runner.o -MD -MP -MF $(DEPDIR)/test_rdp-_generated_runner.Tpo -c -o test_rdp-_generated_runner.o `test -f '_generated_runner.c' || echo '$(srcdir)/'`_generated_runner.c
    742@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_rdp-_generated_runner.Tpo $(DEPDIR)/test_rdp-_generated_runner.Po
    743@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='_generated_runner.c' object='test_rdp-_generated_runner.o' libtool=no @AMDEPBACKSLASH@
    744@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    745@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rdp_CFLAGS) $(CFLAGS) -c -o test_rdp-_generated_runner.o `test -f '_generated_runner.c' || echo '$(srcdir)/'`_generated_runner.c
    746
    747test_rdp-_generated_runner.obj: _generated_runner.c
    748@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rdp_CFLAGS) $(CFLAGS) -MT test_rdp-_generated_runner.obj -MD -MP -MF $(DEPDIR)/test_rdp-_generated_runner.Tpo -c -o test_rdp-_generated_runner.obj `if test -f '_generated_runner.c'; then $(CYGPATH_W) '_generated_runner.c'; else $(CYGPATH_W) '$(srcdir)/_generated_runner.c'; fi`
    749@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_rdp-_generated_runner.Tpo $(DEPDIR)/test_rdp-_generated_runner.Po
    750@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='_generated_runner.c' object='test_rdp-_generated_runner.obj' libtool=no @AMDEPBACKSLASH@
    751@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    752@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_rdp_CFLAGS) $(CFLAGS) -c -o test_rdp-_generated_runner.obj `if test -f '_generated_runner.c'; then $(CYGPATH_W) '_generated_runner.c'; else $(CYGPATH_W) '$(srcdir)/_generated_runner.c'; fi`
    753
    754mostlyclean-libtool:
    755	-rm -f *.lo
    756
    757clean-libtool:
    758	-rm -rf .libs _libs
    759
    760ID: $(am__tagged_files)
    761	$(am__define_uniq_tagged_files); mkid -fID $$unique
    762tags: tags-am
    763TAGS: tags
    764
    765tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    766	set x; \
    767	here=`pwd`; \
    768	$(am__define_uniq_tagged_files); \
    769	shift; \
    770	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
    771	  test -n "$$unique" || unique=$$empty_fix; \
    772	  if test $$# -gt 0; then \
    773	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    774	      "$$@" $$unique; \
    775	  else \
    776	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    777	      $$unique; \
    778	  fi; \
    779	fi
    780ctags: ctags-am
    781
    782CTAGS: ctags
    783ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    784	$(am__define_uniq_tagged_files); \
    785	test -z "$(CTAGS_ARGS)$$unique" \
    786	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
    787	     $$unique
    788
    789GTAGS:
    790	here=`$(am__cd) $(top_builddir) && pwd` \
    791	  && $(am__cd) $(top_srcdir) \
    792	  && gtags -i $(GTAGS_ARGS) "$$here"
    793cscopelist: cscopelist-am
    794
    795cscopelist-am: $(am__tagged_files)
    796	list='$(am__tagged_files)'; \
    797	case "$(srcdir)" in \
    798	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
    799	  *) sdir=$(subdir)/$(srcdir) ;; \
    800	esac; \
    801	for i in $$list; do \
    802	  if test -f "$$i"; then \
    803	    echo "$(subdir)/$$i"; \
    804	  else \
    805	    echo "$$sdir/$$i"; \
    806	  fi; \
    807	done >> $(top_builddir)/cscope.files
    808
    809distclean-tags:
    810	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    811
    812# Recover from deleted '.trs' file; this should ensure that
    813# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
    814# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
    815# to avoid problems with "make -n".
    816.log.trs:
    817	rm -f $< $@
    818	$(MAKE) $(AM_MAKEFLAGS) $<
    819
    820# Leading 'am--fnord' is there to ensure the list of targets does not
    821# expand to empty, as could happen e.g. with make check TESTS=''.
    822am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
    823am--force-recheck:
    824	@:
    825
    826$(TEST_SUITE_LOG): $(TEST_LOGS)
    827	@$(am__set_TESTS_bases); \
    828	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
    829	redo_bases=`for i in $$bases; do \
    830	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
    831	            done`; \
    832	if test -n "$$redo_bases"; then \
    833	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
    834	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
    835	  if $(am__make_dryrun); then :; else \
    836	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
    837	  fi; \
    838	fi; \
    839	if test -n "$$am__remaking_logs"; then \
    840	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
    841	       "recursion detected" >&2; \
    842	elif test -n "$$redo_logs"; then \
    843	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
    844	fi; \
    845	if $(am__make_dryrun); then :; else \
    846	  st=0;  \
    847	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
    848	  for i in $$redo_bases; do \
    849	    test -f $$i.trs && test -r $$i.trs \
    850	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
    851	    test -f $$i.log && test -r $$i.log \
    852	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
    853	  done; \
    854	  test $$st -eq 0 || exit 1; \
    855	fi
    856	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
    857	ws='[ 	]'; \
    858	results=`for b in $$bases; do echo $$b.trs; done`; \
    859	test -n "$$results" || results=/dev/null; \
    860	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
    861	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
    862	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
    863	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
    864	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
    865	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
    866	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
    867	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
    868	  success=true; \
    869	else \
    870	  success=false; \
    871	fi; \
    872	br='==================='; br=$$br$$br$$br$$br; \
    873	result_count () \
    874	{ \
    875	    if test x"$$1" = x"--maybe-color"; then \
    876	      maybe_colorize=yes; \
    877	    elif test x"$$1" = x"--no-color"; then \
    878	      maybe_colorize=no; \
    879	    else \
    880	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
    881	    fi; \
    882	    shift; \
    883	    desc=$$1 count=$$2; \
    884	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
    885	      color_start=$$3 color_end=$$std; \
    886	    else \
    887	      color_start= color_end=; \
    888	    fi; \
    889	    echo "$${color_start}# $$desc $$count$${color_end}"; \
    890	}; \
    891	create_testsuite_report () \
    892	{ \
    893	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
    894	  result_count $$1 "PASS: " $$pass  "$$grn"; \
    895	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
    896	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
    897	  result_count $$1 "FAIL: " $$fail  "$$red"; \
    898	  result_count $$1 "XPASS:" $$xpass "$$red"; \
    899	  result_count $$1 "ERROR:" $$error "$$mgn"; \
    900	}; \
    901	{								\
    902	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
    903	    $(am__rst_title);						\
    904	  create_testsuite_report --no-color;				\
    905	  echo;								\
    906	  echo ".. contents:: :depth: 2";				\
    907	  echo;								\
    908	  for b in $$bases; do echo $$b; done				\
    909	    | $(am__create_global_log);					\
    910	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
    911	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
    912	if $$success; then						\
    913	  col="$$grn";							\
    914	 else								\
    915	  col="$$red";							\
    916	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
    917	fi;								\
    918	echo "$${col}$$br$${std}"; 					\
    919	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
    920	echo "$${col}$$br$${std}"; 					\
    921	create_testsuite_report --maybe-color;				\
    922	echo "$$col$$br$$std";						\
    923	if $$success; then :; else					\
    924	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
    925	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
    926	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
    927	  fi;								\
    928	  echo "$$col$$br$$std";					\
    929	fi;								\
    930	$$success || exit 1
    931
    932check-TESTS: $(check_PROGRAMS)
    933	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
    934	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
    935	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
    936	@set +e; $(am__set_TESTS_bases); \
    937	log_list=`for i in $$bases; do echo $$i.log; done`; \
    938	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
    939	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
    940	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
    941	exit $$?;
    942recheck: all $(check_PROGRAMS)
    943	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
    944	@set +e; $(am__set_TESTS_bases); \
    945	bases=`for i in $$bases; do echo $$i; done \
    946	         | $(am__list_recheck_tests)` || exit 1; \
    947	log_list=`for i in $$bases; do echo $$i.log; done`; \
    948	log_list=`echo $$log_list`; \
    949	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
    950	        am__force_recheck=am--force-recheck \
    951	        TEST_LOGS="$$log_list"; \
    952	exit $$?
    953test_rdp.log: test_rdp$(EXEEXT)
    954	@p='test_rdp$(EXEEXT)'; \
    955	b='test_rdp'; \
    956	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    957	--log-file $$b.log --trs-file $$b.trs \
    958	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    959	"$$tst" $(AM_TESTS_FD_REDIRECT)
    960.test.log:
    961	@p='$<'; \
    962	$(am__set_b); \
    963	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
    964	--log-file $$b.log --trs-file $$b.trs \
    965	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
    966	"$$tst" $(AM_TESTS_FD_REDIRECT)
    967@am__EXEEXT_TRUE@.test$(EXEEXT).log:
    968@am__EXEEXT_TRUE@	@p='$<'; \
    969@am__EXEEXT_TRUE@	$(am__set_b); \
    970@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
    971@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
    972@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
    973@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
    974distdir: $(BUILT_SOURCES)
    975	$(MAKE) $(AM_MAKEFLAGS) distdir-am
    976
    977distdir-am: $(DISTFILES)
    978	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    979	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    980	list='$(DISTFILES)'; \
    981	  dist_files=`for file in $$list; do echo $$file; done | \
    982	  sed -e "s|^$$srcdirstrip/||;t" \
    983	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
    984	case $$dist_files in \
    985	  */*) $(MKDIR_P) `echo "$$dist_files" | \
    986			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
    987			   sort -u` ;; \
    988	esac; \
    989	for file in $$dist_files; do \
    990	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
    991	  if test -d $$d/$$file; then \
    992	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
    993	    if test -d "$(distdir)/$$file"; then \
    994	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
    995	    fi; \
    996	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
    997	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
    998	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
    999	    fi; \
   1000	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
   1001	  else \
   1002	    test -f "$(distdir)/$$file" \
   1003	    || cp -p $$d/$$file "$(distdir)/$$file" \
   1004	    || exit 1; \
   1005	  fi; \
   1006	done
   1007check-am: all-am
   1008	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
   1009	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
   1010check: check-am
   1011all-am: Makefile
   1012installdirs:
   1013install: install-am
   1014install-exec: install-exec-am
   1015install-data: install-data-am
   1016uninstall: uninstall-am
   1017
   1018install-am: all-am
   1019	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
   1020
   1021installcheck: installcheck-am
   1022install-strip:
   1023	if test -z '$(STRIP)'; then \
   1024	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1025	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1026	      install; \
   1027	else \
   1028	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1029	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1030	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
   1031	fi
   1032mostlyclean-generic:
   1033	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
   1034	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
   1035	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
   1036
   1037clean-generic:
   1038	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
   1039
   1040distclean-generic:
   1041	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
   1042	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
   1043	-rm -f fs/$(DEPDIR)/$(am__dirstamp)
   1044	-rm -f fs/$(am__dirstamp)
   1045
   1046maintainer-clean-generic:
   1047	@echo "This command is intended for maintainers to use"
   1048	@echo "it deletes files that may require special tools to rebuild."
   1049clean: clean-am
   1050
   1051clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
   1052	mostlyclean-am
   1053
   1054distclean: distclean-am
   1055		-rm -f ./$(DEPDIR)/test_rdp-_generated_runner.Po
   1056	-rm -f fs/$(DEPDIR)/test_rdp-basename.Po
   1057	-rm -f fs/$(DEPDIR)/test_rdp-normalize_path.Po
   1058	-rm -f Makefile
   1059distclean-am: clean-am distclean-compile distclean-generic \
   1060	distclean-tags
   1061
   1062dvi: dvi-am
   1063
   1064dvi-am:
   1065
   1066html: html-am
   1067
   1068html-am:
   1069
   1070info: info-am
   1071
   1072info-am:
   1073
   1074install-data-am:
   1075
   1076install-dvi: install-dvi-am
   1077
   1078install-dvi-am:
   1079
   1080install-exec-am:
   1081
   1082install-html: install-html-am
   1083
   1084install-html-am:
   1085
   1086install-info: install-info-am
   1087
   1088install-info-am:
   1089
   1090install-man:
   1091
   1092install-pdf: install-pdf-am
   1093
   1094install-pdf-am:
   1095
   1096install-ps: install-ps-am
   1097
   1098install-ps-am:
   1099
   1100installcheck-am:
   1101
   1102maintainer-clean: maintainer-clean-am
   1103		-rm -f ./$(DEPDIR)/test_rdp-_generated_runner.Po
   1104	-rm -f fs/$(DEPDIR)/test_rdp-basename.Po
   1105	-rm -f fs/$(DEPDIR)/test_rdp-normalize_path.Po
   1106	-rm -f Makefile
   1107maintainer-clean-am: distclean-am maintainer-clean-generic
   1108
   1109mostlyclean: mostlyclean-am
   1110
   1111mostlyclean-am: mostlyclean-compile mostlyclean-generic \
   1112	mostlyclean-libtool
   1113
   1114pdf: pdf-am
   1115
   1116pdf-am:
   1117
   1118ps: ps-am
   1119
   1120ps-am:
   1121
   1122uninstall-am:
   1123
   1124.MAKE: check-am install-am install-strip
   1125
   1126.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
   1127	check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
   1128	cscopelist-am ctags ctags-am distclean distclean-compile \
   1129	distclean-generic distclean-libtool distclean-tags distdir dvi \
   1130	dvi-am html html-am info info-am install install-am \
   1131	install-data install-data-am install-dvi install-dvi-am \
   1132	install-exec install-exec-am install-html install-html-am \
   1133	install-info install-info-am install-man install-pdf \
   1134	install-pdf-am install-ps install-ps-am install-strip \
   1135	installcheck installcheck-am installdirs maintainer-clean \
   1136	maintainer-clean-generic mostlyclean mostlyclean-compile \
   1137	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
   1138	recheck tags tags-am uninstall uninstall-am
   1139
   1140.PRECIOUS: Makefile
   1141
   1142
   1143_generated_runner.c: $(test_rdp_SOURCES)
   1144	$(AM_V_GEN) $(GEN_RUNNER) $(test_rdp_SOURCES) > $@
   1145
   1146# Tell versions [3.59,3.63) of GNU make to not export all variables.
   1147# Otherwise a system limit (for SysV at least) may be exceeded.
   1148.NOEXPORT: